﻿using CMS.DataEngine;
using CMS.Helpers;
using CMS.UIControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Custom
{
    public partial class AzureDatabaseStats : GlobalAdminPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            LoadData();
        }

        protected void LoadData()
        {
            plcMess.Clear();
            try
            {
                List<KeyValuePair<string, string>> kvpData = new List<KeyValuePair<string, string>>();
                DataSet ds = ConnectionHelper.ExecuteQuery("Proc_Custom_GetAzureDatabaseStats", null, QueryTypeEnum.StoredProcedure);
                if(!DataHelper.IsEmpty(ds))
                {
                    foreach(DataTable dt in ds.Tables)
                    {
                        foreach(DataColumn dc in dt.Columns)
                        {
                            foreach(DataRow dr in dt.Rows)
                            {
                                kvpData.Add(new KeyValuePair<string, string>(dc.ColumnName.ToString().Trim(), dr[dc.ColumnName].ToString().Trim()));
                            }
                        }
                    }

                    repdata.DataSource = kvpData;
                    repdata.DataBind();

                    plcMess.InfoText = "Stats updated!";
                }
                else
                {
                    plcMess.InfoText = "Stats unavailable!";
                }

            }
            catch(Exception ex)
            {
                plcMess.ErrorText = ex.Message;
            }
        }
    }
}